Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_NOOP_Concurrency_Strategy< SVC_HANDLER > Class Template Reference

Implements a no-op activation strategy in order to avoid calling open on a svc_handler multiple times. More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_NOOP_Concurrency_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for ACE_NOOP_Concurrency_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types
typedef ACE_Concurrency_Strategy< SVC_HANDLER > | base_type
## Public Methods
virtual int | activate_svc_handler (SVC_HANDLER *svc_handler, void *arg=0)
| This is a no-op.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_NOOP_Concurrency_Strategy< SVC_HANDLER >

Implements a no-op activation strategy in order to avoid calling open on a svc_handler multiple times.

An example of the use of this is in the <ACE_Cached_Connect_Strategy>, which reuses svc_handlers. Therefore we don't want to call open on the recycled svc_handler more than once.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Concurrency_Strategy<SVC_HANDLER> ACE_NOOP_Concurrency_Strategy< SVC_HANDLER >::base_type

## Member Function Documentation

template<class SVC_HANDLER>
ASYS_INLINE int ACE_NOOP_Concurrency_Strategy< SVC_HANDLER >::activate_svc_handler | ( | SVC_HANDLER * | svc_handler,
|  | void * | arg = 0
| ) | `[virtual]`

| This is a no-op. Reimplemented from ACE_Concurrency_Strategy< SVC_HANDLER >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i